Show / Hide Table of Contents

# Class ScrollBarView

ScrollBarViews are views that display a 1-character scrollbar, either horizontal or vertical

##### Inheritance

System.Object
Responder
View
ScrollBarView

##### Inherited Members

Responder.CanFocus
View.Add(View)
View.Add(View[])
View.AddRune(Int32, Int32, Rune)
View.Bounds
View.ChildNeedsDisplay()
View.Clear()
View.Clear(Rect)
View.ClearNeedsDisplay()
View.ClipToBounds()
View.ColorScheme
View.DrawFrame(Rect, Int32, Boolean)
View.DrawHotString(ustring, Boolean, ColorScheme)
View.DrawHotString(ustring, Attribute, Attribute)
View.Driver
View.EnsureFocus()
View.Focused
View.FocusFirst()
View.FocusLast()
View.FocusNext()
View.FocusPrev()
View.Frame
View.GetEnumerator()
View.HasFocus
View.Height
View.Id
View.LayoutStyle
View.LayoutSubviews()
View.MostFocused
View.Move(Int32, Int32)
View.PositionCursor()
View.ProcessColdKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ProcessKey(KeyEvent)
View.Remove(View)
View.RemoveAll()
View.ScreenToView(Int32, Int32)
View.SetClip(Rect)
View.SetFocus(View)
View.SetNeedsDisplay()
View.SetNeedsDisplay(Rect)
View.Subviews
View.SuperView
View.ToString()
View.WantMousePositionReports
View.Width
View.X
View.Y

###### Namespace: Terminal.Gui

###### Assembly: Terminal.Gui.dll

##### Syntax

    public class ScrollBarView : Terminal.Gui.View

##### Remarks

The scrollbar is drawn to be a representation of the Size, assuming that the scroll position is set at Position.

If the region to display the scrollbar is larger than three characters, arrow indicators are drawn.

### Constructors

#### ScrollBarView(Rect, Int32, Int32, Boolean)

Initializes a new instance of the Terminal.Gui.Gui.ScrollBarView class.

##### Declaration

    public ScrollBarView (Terminal.Gui.Rect rect, int size, int position, bool isVertical);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | rect | Frame for the scrollbar.
System.Int32 | size | The size that this scrollbar represents.
System.Int32 | position | The position within this scrollbar.
System.Boolean | isVertical | If set to `true` this is a vertical scrollbar, otherwize, the scrollbar is horizontal.

### Properties

#### Position

The position to show the scrollbar at.

##### Declaration

    public int Position { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 | The position.

#### Size

The size that this scrollbar represents

##### Declaration

    public int Size { get; set; }

##### Property Value

Type | Description
--- | ---
System.Int32 | The size.

### Methods

#### MouseEvent(MouseEvent)

##### Declaration

    public override bool MouseEvent (Terminal.Gui.MouseEvent me);

##### Parameters

Type | Name | Description
--- | --- | ---
MouseEvent | me | To be added.

##### Returns

Type | Description
--- | ---
System.Boolean | To be added.

#### Redraw(Rect)

Redraw the scrollbar

##### Declaration

    public override void Redraw (Terminal.Gui.Rect region);

##### Parameters

Type | Name | Description
--- | --- | ---
Rect | region | Region to be redrawn.

### Events

#### ChangedPosition

This event is raised when the position on the scrollbar has changed.

##### Declaration

    public event Action ChangedPosition;

##### Event Type

Type | Description
--- | ---
System.Action | To be added.